Skip to main content
GET
/
v1
/
model-routes
List model routes for the tenant
curl --request GET \
  --url https://api.trulayer.ai/v1/model-routes \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "condition": {
        "type": "latency_threshold",
        "threshold": 123,
        "window_minutes": 123
      },
      "action": {
        "type": "fallback_model",
        "model": "<string>"
      },
      "priority": 123,
      "enabled": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "description": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.trulayer.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

SDK API key (tl_...) or Clerk session JWT

Query Parameters

cursor
string
limit
integer
default:50
Required range: 1 <= x <= 200

Response

Model routes list

items
object[]
required
has_more
boolean
required
next_cursor
string | null